<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1random__subset__selector.html">random_subset_selector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::random_subset_selector&lt; T, Rand_type &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>_max_size</b> (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>_next_add_accepts</b> (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add</b>(const T &amp;new_item) (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add</b>() (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>begin</b>() (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>begin</b>() const (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>const_iterator</b> typedef (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>count</b> (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>deserialize</b> (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>end</b>() (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>end</b>() const (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>items</b> (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>iterator</b> typedef (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>make_empty</b>() (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>max_size</b>() const (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mem_manager_type</b> typedef (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>next_add_accepts</b>() const (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator[]</b>(unsigned long idx) (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator[]</b>(unsigned long idx) const (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>rand_type</b> typedef (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>random_subset_selector</b>() (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>rnd</b> (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>serialize</b> (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_max_size</b>(unsigned long new_max_size) (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_seed</b>(const std::string &amp;value) (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>size</b>() const (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>swap</b>(random_subset_selector &amp;a) (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>to_std_vector</b>() const (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html#ae70fa2368591262481ea34f25dfc4459">type</a> typedef</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>update_next_add_accepts</b>() (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>value_type</b> typedef (defined in <a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1random__subset__selector.html">dlib::random_subset_selector&lt; T, Rand_type &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
